JUCE: MarkerList Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
MarkerList Class Reference
juce_gui_basics » positioning

Holds a set of named marker points along a one-dimensional axis. More...

`#include <juce_MarkerList.h>`

## Classes
class | Listener
| A class for receiving events when changes are made to a MarkerList. More...
class | Marker
| Represents a marker in a MarkerList. More...
struct | MarkerListHolder
| A base class for objects that want to provide a MarkerList. More...
class | ValueTreeWrapper
| Forms a wrapper around a ValueTree that can be used for storing a MarkerList. More...

## Public Member Functions
| MarkerList ()
| Creates an empty marker list.
| MarkerList (const MarkerList &)
| Creates a copy of another marker list.
MarkerList & | operator= (const MarkerList &)
| Copies another marker list to this one.
| ~MarkerList ()
| Destructor.
int | getNumMarkers () const noexcept
| Returns the number of markers in the list.
const Marker * | getMarker (int index) const noexcept
| Returns one of the markers in the list, by its index.
const Marker * | getMarker (const String &name) const noexcept
| Returns a named marker, or nullptr if no such name is found.
double | getMarkerPosition (const Marker &marker, Component *parentComponent) const
| Evaluates the given marker and returns its absolute position.
void | setMarker (const String &name, const RelativeCoordinate &position)
| Sets the position of a marker.
void | removeMarker (int index)
| Deletes the marker at the given list index.
void | removeMarker (const String &name)
| Deletes the marker with the given name.
bool | operator== (const MarkerList &) const noexcept
| Returns true if all the markers in these two lists match exactly.
bool | operator!= (const MarkerList &) const noexcept
| Returns true if not all the markers in these two lists match exactly.
void | addListener (Listener *listener)
| Registers a listener that will be called when the markers are changed.
void | removeListener (Listener *listener)
| Deregisters a previously-registered listener.
void | markersHaveChanged ()
| Synchronously calls markersChanged() on all the registered listeners.

## Detailed Description

Holds a set of named marker points along a one-dimensional axis.

This class is used to store sets of X and Y marker points in components.

See also
  Component::getMarkers().

## Constructor & Destructor Documentation

## ◆ MarkerList() [1/2]

MarkerList::MarkerList | ( |  | ) |

Creates an empty marker list.

## ◆ MarkerList() [2/2]

MarkerList::MarkerList | ( | const MarkerList & |  | ) |

Creates a copy of another marker list.

## ◆ ~MarkerList()

MarkerList::~MarkerList | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ operator=()

MarkerList & MarkerList::operator= | ( | const MarkerList & |  | ) |

Copies another marker list to this one.

## ◆ getNumMarkers()

int MarkerList::getNumMarkers | ( |  | ) | const
| noexcept

Returns the number of markers in the list.

## ◆ getMarker() [1/2]

const Marker * MarkerList::getMarker | ( | int | index | ) | const
| noexcept

Returns one of the markers in the list, by its index.

## ◆ getMarker() [2/2]

const Marker * MarkerList::getMarker | ( | const String & | name | ) | const
| noexcept

Returns a named marker, or nullptr if no such name is found.

Note that name comparisons are case-sensitive.

## ◆ getMarkerPosition()

double MarkerList::getMarkerPosition | ( | const Marker & | marker,
|  | Component * | parentComponent ) const

Evaluates the given marker and returns its absolute position.

The parent component must be supplied in case the marker's expression refers to the size of its parent component.

## ◆ setMarker()

void MarkerList::setMarker | ( | const String & | name,
|  | const RelativeCoordinate & | position )

Sets the position of a marker.

If the name already exists, then the existing marker is moved; if it doesn't exist, then a new marker is added.

## ◆ removeMarker() [1/2]

void MarkerList::removeMarker | ( | int | index | ) |

Deletes the marker at the given list index.

## ◆ removeMarker() [2/2]

void MarkerList::removeMarker | ( | const String & | name | ) |

Deletes the marker with the given name.

## ◆ operator==()

bool MarkerList::operator== | ( | const MarkerList & |  | ) | const
| noexcept

Returns true if all the markers in these two lists match exactly.

## ◆ operator!=()

bool MarkerList::operator!= | ( | const MarkerList & |  | ) | const
| noexcept

Returns true if not all the markers in these two lists match exactly.

## ◆ addListener()

void MarkerList::addListener | ( | Listener * | listener | ) |

Registers a listener that will be called when the markers are changed.

## ◆ removeListener()

void MarkerList::removeListener | ( | Listener * | listener | ) |

Deregisters a previously-registered listener.

## ◆ markersHaveChanged()

void MarkerList::markersHaveChanged | ( |  | ) |

Synchronously calls markersChanged() on all the registered listeners.

The documentation for this class was generated from the following file:

- juce_MarkerList.h